import { aws_iam, aws_secretsmanager, aws_ssm } from 'aws-cdk-lib';
import { KeyType } from './key-type';
export declare abstract class SecretKeyStore {
    readonly secretKeyType: KeyType;
    static fromSSMParameter(secretKeyParameter: aws_ssm.IParameter): SecretKeyStore;
    static fromSecretsManager(secretKeySecret: aws_secretsmanager.ISecret): SecretKeyStore;
    constructor(secretKeyType: KeyType);
    abstract grantWrite(grantee: aws_iam.IGrantable): aws_iam.Grant;
    abstract serialize(): string;
}
