import { aws_iam, aws_secretsmanager, aws_ssm } from 'aws-cdk-lib';
import { KeyType } from './key-type';
export declare abstract class SecretKey {
    readonly secretKeyType: KeyType;
    static fromPlainText(value: string): SecretKey;
    static fromSSMParameter(secretKeyParameter: aws_ssm.IParameter): SecretKey;
    static fromSecretsManager(secretKeySecret: aws_secretsmanager.ISecret, fieldName?: string): SecretKey;
    constructor(secretKeyType: KeyType);
    abstract grantRead?(grantee: aws_iam.IGrantable): aws_iam.Grant;
    abstract serialize(): string;
}
